import request from '../js/request.js';


export default {
	//账号密码登录
	techLogin(param) {
		return request({
			url: '/auth/tech/login',
			method: 'POST',
			data: param
		})
	},

	//退出登录
	logout() {
		return request({
			url: '/auth/logout',
			method: 'DELETE'
		})
	},
	//账号密码登录
	updatePassword(param) {
		return request({
			url: '/auth/tech/updatePassword',
			method: 'POST',
			data: param
		})
	},
	//找回密码
	retrievePassword(param) {
		return request({
			url: '/auth/tech/retrievePassword',
			method: 'POST',
			data: param
		})
	}
}
